package jumpstart.min.web.pages.starters;

import jumpstart.min.web.pages.login.LoginPage;

import org.apache.tapestry.html.BasePage;

public abstract class MixedValidationPage2 extends BasePage {
	static public final String PAGE_NAME = "pages/starters/MixedValidationPage2";

	public abstract void setName(String value);

	public void activate(String firstName, String lastName) {
		setName(firstName + " " + lastName);
		getRequestCycle().activate(this);
	}

	public void doReturn() {
		MixedValidationPage nextPage = (MixedValidationPage) getRequestCycle().getPage(MixedValidationPage.PAGE_NAME);
		nextPage.activate();
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}

}
