package jumpstart.min.web.pages.starters;


import jumpstart.min.web.pages.login.LoginPage;

import org.apache.tapestry.IAsset;
import org.apache.tapestry.annotations.Asset;
import org.apache.tapestry.html.BasePage;

public abstract class RestartAndOtherEngineServicesPage extends BasePage {
	static public final String PAGE_NAME = "pages/starters/RestartAndOtherEngineServicesPage";

	@Asset("context:/images/action-button.png")
	public abstract IAsset getActionButton();

	public void activate() {
		// No preparation required before activation.
		getRequestCycle().activate(this);
	}

	public void doToPage2() {
		RestartAndOtherEngineServicesPage2 nextPage = (RestartAndOtherEngineServicesPage2) getRequestCycle().getPage(
				RestartAndOtherEngineServicesPage2.PAGE_NAME);
		nextPage.activate();
	}

	public void doToPage3() {
		RestartAndOtherEngineServicesPage3 nextPage = (RestartAndOtherEngineServicesPage3) getRequestCycle().getPage(
				RestartAndOtherEngineServicesPage3.PAGE_NAME);
		nextPage.activate();
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}
}