package jumpstart.min.business.commons.interpreter;

import jumpstart.min.business.commons.exception.ServiceException;

// This class is for use by any client accessing our services via our session
// beans

public class BizServicesExceptionInterpreter {
//	static private final Log LOG = LogFactory.getLog(BizServicesExceptionInterpreter.class);

	private IEJBExceptionInterpreter _interpreter = new JBossExceptionInterpreter();

	public ServiceException interpret(Exception e) {

		// TODO - review later because this is JBoss & hibernate specific, which
		// I hope it won't be in final EJB3.

		if (e instanceof ServiceException) {
			return (ServiceException) e;
		}
		else {
			return _interpreter.interpret(e);
		}
	}

}
